From bbc6a096bdaba9b24f016fe84b123ed9e64ecfde Mon Sep 17 00:00:00 2001
From: Andrew Dunstan <andrew@dunslane.net>
Date: Fri, 16 Jul 2021 15:28:24 -0400
Subject: [PATCH 9/9] new recovery fixups

---
 src/test/recovery/t/019_replslot_limit.pl       | 4 ++--
 src/test/subscription/t/021_twophase.pl         | 4 ++--
 src/test/subscription/t/022_twophase_cascade.pl | 6 +++---
 3 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/test/recovery/t/019_replslot_limit.pl b/src/test/recovery/t/019_replslot_limit.pl
index f421bd7c90..5776f6766a 100644
--- a/src/test/recovery/t/019_replslot_limit.pl
+++ b/src/test/recovery/t/019_replslot_limit.pl
@@ -267,7 +267,7 @@ if ($TestLib::windows_os)
 
 # Get a slot terminated while the walsender is active
 # We do this by sending SIGSTOP to the walsender.  Skip this on Windows.
-my $node_primary3 = get_new_node('primary3');
+my $node_primary3 = PostgresNode->new('primary3');
 $node_primary3->init(allows_streaming => 1, extra => ['--wal-segsize=1']);
 $node_primary3->append_conf(
 	'postgresql.conf', qq(
@@ -283,7 +283,7 @@ $node_primary3->safe_psql('postgres',
 $backup_name = 'my_backup';
 $node_primary3->backup($backup_name);
 # Create standby
-my $node_standby3 = get_new_node('standby_3');
+my $node_standby3 = PostgresNode->new('standby_3');
 $node_standby3->init_from_backup($node_primary3, $backup_name,
 	has_streaming => 1);
 $node_standby3->append_conf('postgresql.conf', "primary_slot_name = 'rep3'");
diff --git a/src/test/subscription/t/021_twophase.pl b/src/test/subscription/t/021_twophase.pl
index c6ada92ff0..903a771fe3 100644
--- a/src/test/subscription/t/021_twophase.pl
+++ b/src/test/subscription/t/021_twophase.pl
@@ -13,14 +13,14 @@ use Test::More tests => 24;
 ###############################
 
 # Initialize publisher node
-my $node_publisher = get_new_node('publisher');
+my $node_publisher = PostgresNode->new('publisher');
 $node_publisher->init(allows_streaming => 'logical');
 $node_publisher->append_conf('postgresql.conf',
 	qq(max_prepared_transactions = 10));
 $node_publisher->start;
 
 # Create subscriber node
-my $node_subscriber = get_new_node('subscriber');
+my $node_subscriber = PostgresNode->new('subscriber');
 $node_subscriber->init(allows_streaming => 'logical');
 $node_subscriber->append_conf('postgresql.conf',
 	qq(max_prepared_transactions = 10));
diff --git a/src/test/subscription/t/022_twophase_cascade.pl b/src/test/subscription/t/022_twophase_cascade.pl
index e61d28a48b..d7cc99959f 100644
--- a/src/test/subscription/t/022_twophase_cascade.pl
+++ b/src/test/subscription/t/022_twophase_cascade.pl
@@ -15,19 +15,19 @@ use Test::More tests => 27;
 
 # Initialize nodes
 # node_A
-my $node_A = get_new_node('node_A');
+my $node_A = PostgresNode->new('node_A');
 $node_A->init(allows_streaming => 'logical');
 $node_A->append_conf('postgresql.conf',
 	qq(max_prepared_transactions = 10));
 $node_A->start;
 # node_B
-my $node_B = get_new_node('node_B');
+my $node_B = PostgresNode->new('node_B');
 $node_B->init(allows_streaming => 'logical');
 $node_B->append_conf('postgresql.conf',
 	qq(max_prepared_transactions = 10));
 $node_B->start;
 # node_C
-my $node_C = get_new_node('node_C');
+my $node_C = PostgresNode->new('node_C');
 $node_C->init(allows_streaming => 'logical');
 $node_C->append_conf('postgresql.conf',
 	qq(max_prepared_transactions = 10));
-- 
2.25.4

